/*
 * UNICADO - UNIversity Conceptual Aircraft Design and Optimization
 *
 * Copyright (C) 2025 UNICADO consortium
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <https://www.gnu.org/licenses/>.
 *
 * Description:
 * This file is part of UNICADO.
 */

#ifndef CALCULATEPOLAR_SRC_FLIGHTCONDITION_H_
#define CALCULATEPOLAR_SRC_FLIGHTCONDITION_H_

class flightCondition {
 public:
    double Mach;                /**< Mach number e.g. for Prandtl-Glauert correction [-] */
    double Altitude;            /**< Altitude [m] */
    double extrapolationMargin; /**< Switch to allow extrapolation when processing final polar data */
    bool allowGridChange; /**< Switch to allow Mach number grid change when processing final polar data */
    /** \brief Constructor for flightCondition class
     */
    flightCondition();
    /** \brief Virtual destructor of flightCondition class
     */
    virtual ~flightCondition() {}
};

#endif // CALCULATEPOLAR_SRC_FLIGHTCONDITION_H_